<div class="login col-md-12">
  <div class="card card-container">
    <form onsubmit="return false;" name="form">
      <h3>Login</h3>
      <div class="form-group">
        <label for="username">Username</label>
        <input
          id="username"
          type="text"
          class="form-control"
          name="username"
          #usernameInput (input)="handleUsernameEventValue(usernameInput.value)"/>
      </div>
      <div class="form-group">
        <label for="password">Password</label>
        <input
          id="password"
          type="password"
          class="form-control"
          name="password"
          #passwordInput (input)="handlePasswordEventValue(passwordInput.value)"/>
      </div>
      <div class="button-container form-group">
        <button class="btn btn-primary btn-block" (click)="login()">
          Login
        </button>
      </div>
    </form>
<!--    <div class="alert alert-success">-->
<!--      Logged in.-->
<!--    </div>-->
  </div>
</div>
